---
- hosts: localhost
  roles:
  - role: standard-test-basic
    tags:
    - classic
    repositories:
    - repo: "https://gitlab.com/redhat/centos-stream/rpms/pyproject-rpm-macros.git"
      dest: "pyproject-rpm-macros"
      version: "c10s"
    - repo: "https://gitlab.com/redhat/centos-stream/rpms/python-rpm-generators.git"
      dest: "python-rpm-generators"
      version: "c10s"
    tests:
    - pyproject_pytest:
        dir: pyproject-rpm-macros/tests
        run: ./mocktest.sh python-pytest
    - pyproject_entrypoints:
        dir: pyproject-rpm-macros/tests
        run: ./mocktest.sh python-entrypoints
    - pyproject_pluggy:
        dir: pyproject-rpm-macros/tests
        run: ./mocktest.sh python-pluggy
    - pyproject_clikit:
        dir: pyproject-rpm-macros/tests
        run: ./mocktest.sh python-clikit
    - rpm_generators_unit_tests:
        dir: python-rpm-generators
        run: ./tests/download_data_and_run_pytest.sh
    - smoke:
        dir: .
        run: ./smoke/runtest.sh
    required_packages:
    - 'https://dl.fedoraproject.org/pub/epel/epel-release-latest-10.noarch.rpm'
    - 'https://kojipkgs.fedoraproject.org/packages/centpkg-minimal/2.1.0/5.el10_0/noarch/centpkg-minimal-2.1.0-5.el10_0.noarch.rpm'
    - mock
    - python3-packaging
    - python3-pip
    - python3-pytest
    - python3-pyyaml
    - python3-setuptools
    - python3-wheel
    - rpmdevtools
    - rpm-build
